Bug 1485299 - Request to limit the virt-p2v RPMs to 7Server [NEEDINFO]
Summary: Request to limit the virt-p2v RPMs to 7Server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Djordje Todorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-25 10:28 UTC by Djordje Todorovic
Modified: 2018-03-16 00:33 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 13:21:14 UTC
mtessun: needinfo? (salmy)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 normal SHIPPED_LIVE redhat-release update 2018-04-10 15:54:11 UTC

Description Djordje Todorovic 2017-08-25 10:28:58 UTC
Description of problem:

As requested here:
https://projects.engineering.redhat.com/browse/RCM-13433 and
https://projects.engineering.redhat.com/browse/RCM-14544


'libguestfs' in RHEL-7.4 has a new 'virt-p2v-maker' subpackage. It is currently present in 7Client-optional, while it should ideally be in the same channel of virt-v2v.


Rationale:
----------
1. The content of the subpackage was previously in virt-v2v
2. We want to support users/customers to generate their own p2v ISO, which is needed in case they must add custom configuration/utilities/drivers to the live p2v system
3. The RPMs, both the src.rpm and the wrapper rpm containing the ISO, appear in all the channels, e.g. 7Client, 7Client-optional, etc. In  RHEL 7.3, the virt-p2v rpms were only in 7Server.


virt-p2v subpackages of libguestfs is currently present on several variants:

virt-p2v-maker-1.36.3-6.el7_4.2.x86_64.rpm  Client-optional       x86_64
virt-p2v-maker-1.36.3-6.el7_4.2.x86_64.rpm  Server-optional       x86_64
virt-p2v-maker-1.36.3-6.el7_4.2.x86_64.rpm  Workstation-optional  x86_64


This is a request to have them only present on 7Server. We need to respect the  3-ack process since we can break updates if somebody had installed this on e.g. Workstation.

Comment 11 Lubos Kocman 2017-10-23 15:41:29 UTC
Merged in https://code.engineering.redhat.com/gerrit/#/c/120459/


Note You need to log in before you can comment on or make changes to this bug.